Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config
Class Global

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.Global

All Implemented Interfaces:
  java.io.Serializable

    public class Global

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: Global.java,v 1.5 2009/01/19 14:12:31 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`Global()`

Method Summary
`void` | `addConfigReport(ConfigReport vConfigReport)`
`void` | `addConfigReport(int index, ConfigReport vConfigReport)`
`java.util.Enumeration<? extends ConfigReport>` | `enumerateConfigReport()` Method enumerateConfigReport.
`java.lang.String` | `getBase()` Returns the value of field 'base'.
`ConfigReport[]` | `getConfigReport()` Method getConfigReport.Returns the contents of the collection in an Array.
`ConfigReport` | `getConfigReport(int index)` Method getConfigReport.
`int` | `getConfigReportCount()` Method getConfigReportCount.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllConfigReport()`
`boolean` | `removeConfigReport(ConfigReport vConfigReport)` Method removeConfigReport.
`ConfigReport` | `removeConfigReportAt(int index)` Method removeConfigReportAt.
`void` | `setBase(java.lang.String base)` Sets the value of field 'base'.
`void` | `setConfigReport(ConfigReport[] vConfigReportArray)`
`void` | `setConfigReport(int index, ConfigReport vConfigReport)`
`static Global` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Global

    public Global()

Method Detail

### addConfigReport

    public void addConfigReport(ConfigReport vConfigReport)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vConfigReport` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addConfigReport

    public void addConfigReport(int index,
                                ConfigReport vConfigReport)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vConfigReport` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateConfigReport

    public java.util.Enumeration<? extends ConfigReport> enumerateConfigReport()

  Method enumerateConfigReport.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.ConfigReport elements

### getBase

    public java.lang.String getBase()

  Returns the value of field 'base'. The field 'base' has the following description: See http://www.w3.org/TR/xmlbase/ for information about this attribute.

  Returns:
    the value of field 'Base'.

### getConfigReport

    public ConfigReport getConfigReport(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Method getConfigReport.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.ConfigReport at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getConfigReport

    public ConfigReport[] getConfigReport()

  Method getConfigReport.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getConfigReportCount

    public int getConfigReportCount()

  Method getConfigReportCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllConfigReport

    public void removeAllConfigReport()

### removeConfigReport

    public boolean removeConfigReport(ConfigReport vConfigReport)

  Method removeConfigReport.

  Parameters:
    `vConfigReport` -
  Returns:
    true if the object was removed from the collection.

### removeConfigReportAt

    public ConfigReport removeConfigReportAt(int index)

  Method removeConfigReportAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setBase

    public void setBase(java.lang.String base)

  Sets the value of field 'base'. The field 'base' has the following description: See http://www.w3.org/TR/xmlbase/ for information about this attribute.

  Parameters:
    `base` - the value of field 'base'.

### setConfigReport

    public void setConfigReport(int index,
                                ConfigReport vConfigReport)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vConfigReport` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setConfigReport

    public void setConfigReport(ConfigReport[] vConfigReportArray)

  Parameters:
    `vConfigReportArray` -

### unmarshal

    public static Global unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.Global
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD